> ## Documentation Index
> Fetch the complete documentation index at: https://www.voiceflow.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List personas

> List all personas by project ID.



## OpenAPI

````yaml /specs-prettified/realtime/openapi.stable.json get /v1/stable/persona
openapi: 3.0.0
info:
  title: Realtime
  description: Realtime gateway API service
  version: 1.0.0
  contact: {}
servers:
  - url: https://realtime-api.voiceflow.com
security: []
tags: []
paths:
  /v1/stable/persona:
    get:
      tags:
        - Persona
      summary: List personas
      description: List all personas by project ID.
      operationId: StablePersonaController_list
      parameters:
        - name: projectID
          required: true
          in: query
          schema:
            type: string
            description: The ID of the project to operate on.
        - name: environmentAlias
          required: true
          in: query
          schema:
            type: string
            description: The alias of the environment to operate on (e.g. `main`).
      responses:
        "200":
          description: ""
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StablePersonaListResponse"
      security:
        - token: []
components:
  schemas:
    StablePersonaListResponse:
      type: object
      properties:
        personas:
          type: array
          items:
            $ref: "#/components/schemas/StablePersona"
      required:
        - personas
    StablePersona:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          description: The name of the persona, unique within the environment.
        items:
          type: array
          items:
            $ref: "#/components/schemas/StablePersonaItem"
          description: The variable values this persona presets, one per variable.
        createdAt:
          type: string
          format: date-time
          pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        updatedAt:
          type: string
          format: date-time
          pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
      required:
        - id
        - name
        - items
        - createdAt
        - updatedAt
    StablePersonaItem:
      type: object
      properties:
        variable:
          nullable: true
          description: The name of the variable this item presets. Null when the item
            names no variable, or the variable it named has since been deleted.
          type: string
        value:
          nullable: true
          description: The value the variable is set to when a test runs with this
            persona. Null leaves it unset.
          type: string
      required:
        - variable
        - value
  securitySchemes:
    token:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Voiceflow bearer token
````
